var gallery_from_files_select_path = '';
jQuery( document ).ready(function() {
    
    jQuery('#gallery_from_files_tree').jstree({
            'core' : {
                'strings' : {'Loading ...' : 'Betöltés folyamatban, kérem, várjon ...!'},
                'multiple' : false,
                'animation' : 200,
                'data' : {
                  'url' : plugin_url,
                  'data' : function (node) {
                    return { 'id'    : node.id,
                             'path'  : this.get_path(node, '/', true),
                             'thumb' : thumb_dir, 
                             'root'  : ABSPATH };
                  }
                }
            },
            'plugins' : [
                'contextmenu', 'dnd', 'search', 'types', 'wholerow'
                ],
        })
        .on('changed.jstree', function (e, data) {
            gallery_from_files_select_path = data.instance.get_path(data.node,'/', true);
            gallery_from_files_select_path = gallery_from_files_select_path.replace('home/', '');
            if (gallery_from_files_select_path != '') {
                jQuery('#insertFileGallery').removeAttr('disabled');
            }
        });

});          

      function loadNodes(tree, node, cb) {
          var nodeId = node.id == "#" ? "" : node.id;
              
          var sfNode = new SObjectModel.sfNode();
          
          sfNode.retrieve({ 
              where: {Parent: {eq: nodeId}}, 
              limit: 100 }, 
              function(err, records) {
              if (err) {
                  displayErr(err);
              } else {
                  var nodes = [];
                  records.forEach(function(record) {
                      nodes.push({ 
                          id: record.get("Id"),
                          text: record.get("Name"),
                          children: true
                      });
                  });       
                  cb.call(tree, nodes);
              }
          });
}

jQuery('#insertFileGallery').on('click', function() {
    var text = '[gallery-from-files folder="' + gallery_from_files_select_path + '"';
    text += ' template="'+jQuery('#gallery_from_template').val()+'"';
    text += ' order="'+jQuery('#gallery_from_files_sort').val()+'"';
    if (jQuery('#gallery_from_files_images_count').val() != '') {
        text += ' page_limit="' + jQuery('#gallery_from_files_images_count').val()+'"';
    }
    if (jQuery('#use_title').prop('checked')) {
        text += ' title="1"';
    } else {
        text += ' title="0"';
    }
    text += ']';

    wp.media.editor.insert(text);
    tb_remove();
});
jQuery('#cancelFileGallery').on('click', function() {
    tb_remove();
});
