<?php

function gallery_from_files_595_get_images_page()
{
    $data = $_REQUEST;
    
    $options = $data['variables'];
    $options = array_map( 'esc_attr', $options );
    $id      = sanitize_text_field( $_REQUEST['id'] );
    $type    = sanitize_text_field( $_REQUEST['type'] );    

    if (!class_exists ('JGalleryFromFiles595', false)) {
        include_once(dirname(__file__) .DS. 'class.php');
    }
    $my_plugin = new JGalleryFromFiles595($options);
    
    if ($type == 'images') {
        $my_plugin->image_html = $my_plugin->getTemplate('images.html', false);
        $source = $my_plugin->getImages();
    } else {
        $my_plugin->image_html = $my_plugin->getTemplate('folders.html', false);
        $source = $my_plugin->getFolders();
    }
    $count = count($source); 
    $source = array_slice($source, (($data['page']-1)*$options['page_limit']), $options['page_limit']);

    if ($type == 'images') {
        $source = $my_plugin->checkImages($source);
        $html = $my_plugin->renderImages($source);
    } else {
        $html = $my_plugin->renderFolders($source);
    }
    
    $result = array(
        'status' => 1,
        'html'   => $html,
        'id'     => $id
    );
    echo json_encode($result);
    wp_die();

}
add_action( 'wp_ajax_nopriv_gallery_from_files_595_get_images_page', 'gallery_from_files_595_get_images_page' );
add_action( 'wp_ajax_gallery_from_files_595_get_images_page', 'gallery_from_files_595_get_images_page' );
